%define kversion %(uname -r | cut -f1 -d-)
%define krelease %(uname -r | cut -f2 -d-)

Summary: nkfs kernel module for Linux
Name: nkfs
Version: 4.2.1
Release: 1
Copyright: GPL
ExclusiveOS: Linux
Group: System Environment/Kernel
Source: ftp://ftp.calderasystems.com/pub/opensource/nkfs/nkfs-%{PACKAGE_VERSION}.tgz
Requires: kernel = %{kversion}-%{krelease} modutils
BuildRoot: /var/tmp/nkfs-root

%changelog

* Sat Aug 21 1999 Peter Soos <sp@osb.hu>
- The initial rpm package

%description
This is the nkfs (NetWare Kernel FileSystem) from Caldera for its NetWare
related products.

This binary module compiled for kernel package %{kversion}-%{krelease}.
If you need module for another kernel package just rebuild
this rpm package from nkfs-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}.src.rpm.

%package source
Summary: nkfs sources
Group: Development/System
Requires: kernel-source

%description source
The nkfs sources allow you to build the nkfs module if you build your
own kernel.

%prep
%setup

%build

make

%install
mkdir -p ${RPM_BUILD_ROOT}/lib/modules/%kversion-%krelease/misc
install src/nkfs.o ${RPM_BUILD_ROOT}/lib/modules/%kversion-%krelease/misc
make clean
mkdir -p ${RPM_BUILD_ROOT}/usr/src/nkfs-%{PACKAGE_VERSION}
cp -r * ${RPM_BUILD_ROOT}/usr/src/nkfs-%{PACKAGE_VERSION}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
depmod -a

%postun
depmod -a

%post source
ln -sf nkfs-%{PACKAGE_VERSION} /usr/src/nkfs

%files
%attr(0644, root, root) /lib/modules/%kversion-%krelease/misc/nkfs.o

%files source
%attr(-, root, root) /usr/src/nkfs-%{PACKAGE_VERSION}
